Luxor PlatformAPI DocumentationCommanderTickets

Get ticket

Returns one ticket. Linked devices and their parts are listed separately by GET /v2/commander/tickets/{ticket_id}/devices.

GET
/v2/commander/tickets/{ticket_id}

Authorization

LuxorAPIKey
authorization<token>

Use your API key here.

In: header

Path Parameters

ticket_id*string

Ticket id (uuid).

Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v2/commander/tickets/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "id": "0b8f7c2a-3d4e-4f5a-8b6c-7d8e9f0a1b2c",  "code": "TKT-0042",  "title": "Hashboard 2 not hashing",  "description": "string",  "priority": "high",  "status": {    "id": "6f0c9a1e-0d5f-4f7b-9a5e-1b2c3d4e5f60",    "name": "In progress",    "position": 2,    "color": "yellow",    "is_enabled": true,    "is_default": true,    "system_status": "in_progress",    "stock_action": "none"  },  "assignees": [    {      "id": "575370fd-ecb7-40bb-a3da-8af78e0dab6b",      "type": "user",      "name": "Alice Smith"    }  ],  "site_id": "b0a5fad8-1234-5678-9abc-def012345678",  "site_name": "Texas",  "created_by": {    "id": "575370fd-ecb7-40bb-a3da-8af78e0dab6b",    "type": "user",    "name": "Alice Smith"  },  "created_at": "2026-10-01T09:30:00.000Z",  "custom_fields": {    "diagnosis": "psu_failure"  },  "source_error_code": null,  "device_count": 3,  "reserved_part_count": 2,  "url": "/v2/commander/tickets/0b8f7c2a-3d4e-4f5a-8b6c-7d8e9f0a1b2c"}
{  "statusCode": 400,  "code": "FST_ERR_VALIDATION",  "error": "Bad Request",  "message": "body/end_date Required"}
{  "statusCode": 403,  "code": "7",  "error": "Forbidden",  "message": "[permission_denied] site_id does not belong to this workspace"}
{  "statusCode": 404,  "code": "5",  "error": "Not Found",  "message": "[not_found] agent not found"}